/* app_version.h  -- Global definitions for NoComprendo */
/* APP_MAJOR, APP_MINOR, APP_RELEASE, APP_VERSION and APP_BUILD are updated by "make version" */
/*
   Copyright (C) 2019 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file      app_version.h
 * @author    Bruno ANSELME
 * @details   Globals defines for NoComprendo.\n
 *              Don't edit last 5 defines, it's updated by "make version".
 */

#ifndef APP_VERSION_H
#define APP_VERSION_H

#include <QDir>

#define APP_ORG         "BeRoot"
#define APP_NAME        "NoComprendo"
#define APP_STR         "nocomprendo"
#define APP_AUTHOR      "Bruno ANSELME"
#define APP_SITE        "http://be.root.free.fr/"
#define APP_MAIL        "be.root@free.fr"
#define APP_LOCKFILE    "nocomprendo.lock"
#define POCKET_PATH     "/usr/share/nocomprendo/pocketsphinx/"

// Don't edit. Defines updated by "make version" from .pro variables.
#define APP_MAJOR     1
#define APP_MINOR     1
#define APP_RELEASE   2
#define APP_VERSION   "1.1.2"
#define APP_BUILD     "2020-03-08 15:02:07"

#endif // APP_VERSION_H
